MyBB.de Forum

Normale Version: Diskussion: MyBB 1.8.21 veröffentlicht
Du siehst gerade eine vereinfachte Darstellung unserer Inhalte. Normale Ansicht mit richtiger Formatierung.
Seiten: 1 2
Ich habe ein Forum unter Mybb 1.8.12 mit PostgreSQL 9.6.4 auf FreeBSD laufen und müßte wohl wiedermal ein Update machen...wie sieht es indessen mit dem Status der PostgreSQL Unterstützung aus? Welchen Upgrade-Path könnt Ihr empfehlen? Ein "normales" Update wird wohl so nicht funktionieren..aber ich möchte natürlich die Downtime für die User relativ gering halten.


Gruß,
Holm
(11.06.2019, 12:09)holm schrieb: [ -> ]wie sieht es indessen mit dem Status der PostgreSQL Unterstützung aus?
Unverändert; PgSQL wird weiterhin unterstützt.
(11.06.2019, 12:09)holm schrieb: [ -> ]Welchen Upgrade-Path könnt Ihr empfehlen? Ein "normales" Update wird wohl so nicht funktionieren..
Warum sollte ein normales Upgrade nicht funktionieren?
Moin,

Upgrade hat ohne Probleme geklappt. Danke an dieser Stelle.
(11.06.2019, 12:28)StefanT schrieb: [ -> ]
(11.06.2019, 12:09)holm schrieb: [ -> ]wie sieht es indessen mit dem Status der PostgreSQL Unterstützung aus?
Unverändert; PgSQL wird weiterhin unterstützt.
(11.06.2019, 12:09)holm schrieb: [ -> ]Welchen Upgrade-Path könnt Ihr empfehlen? Ein "normales" Update wird wohl so nicht funktionieren..
Warum sollte ein normales Upgrade nicht funktionieren?

Weil die PostgreSQL Unterstützung schon bei 1.8.12 nur mit relativ viel händischer Nacharbeit funktionierte
(nicht unterstütze Syntax, fehlende Implementation) und wenn sich genau daran Nichts verändert hat, werde ich die selbe Arbeit noch einmal haben.

Gruß,

Holm
(11.06.2019, 13:07)itsmeJAY schrieb: [ -> ]Upgrade hat ohne Probleme geklappt.
Schließe mich dieser Aussage an.

Habe vorher alle meine Anpassungen (wie gut das man eine Liste pflegt in welcher die Dateien wo Änderungen/Anpassungen durchgeführt wurden) via WinMerge kontrolliert und in den neuen Dateien angepasst. Danach das Upgrade durchlaufen lassen.

Alles funktioniert wieder wie gehabt. Danke an die Macher von MyBB:
(11.06.2019, 13:11)holm schrieb: [ -> ]Weil die PostgreSQL Unterstützung schon bei 1.8.12 nur mit relativ viel handischer Nacharbeit funktionierte
(nicht unterstütze Syntax, fehlende Implementation) und wenn sich genau daran Nichts verändert hat, werde ich die selbe Arbeit noch einmal haben.
Wenn die Fehler den Entwicklern gemeldet worden sind, wurden sie auch behoben.
(11.06.2019, 13:31)StefanT schrieb: [ -> ]
(11.06.2019, 13:11)holm schrieb: [ -> ]Weil die PostgreSQL Unterstützung schon bei 1.8.12 nur mit relativ viel handischer Nacharbeit funktionierte
(nicht unterstütze Syntax, fehlende Implementation) und wenn sich genau daran Nichts verändert hat, werde ich die selbe Arbeit noch einmal haben.
Wenn die Fehler den Entwicklern gemeldet worden sind, wurden sie auch behoben.

Den größten Teil davon hatten wir hier diskutiert: "Nimm MariaDB, nimm MySQL..warum PostgreSQL?"

Ich werde Bescheid geben.

Gruß,
Holm
Moin,

lt der Doku [1] zum Installieren:

Code:
chmod 666 inc/config.php inc/settings.php

Lt der Ankündigung wurde die settings.php ja entfernt. Was ist mit der config.php? Die finde ich in der Ankündigung nicht, und im inc/ Verzeichnis ist sie auch nicht mehr. und welche alternativen gibt es nun dafür?

[1] https://docs.mybb.com/1.8/install/
damit es mal wieder ums Thema geht:

Update erfolgreich durchgeführt

@Stefan vielleicht kannst du die Diskussion, die hier nichts verloren hat, mal separieren?
Seiten: 1 2